Cambiar propiedades de text y mtext

Ver el tema anterior Ver el tema siguiente Ir abajo

Cambiar propiedades de text y mtext

Mensaje por amc.dicsac el Jue Sep 01, 2016 6:13 pm

Hola que tal:

Quisier saber si hay algun lisp que me permita cambiar el estilo, la altura y la capa de un mtext y text.

Gracias.
avatar
amc.dicsac

Mensajes : 76
Fecha de inscripción : 17/03/2016
Edad : 26
Localización : Lima - Perú

Ver perfil de usuario http://axprogramlisp.blogspot.pe/

Volver arriba Ir abajo

Re: Cambiar propiedades de text y mtext

Mensaje por bernie67 el Vie Sep 02, 2016 5:31 am

Te dejo unas cuantas utilidades, mira que te sirve
Saludos
Bernardo
https://www.dropbox.com/sh/f8ns40uinso30l7/AAAq0kWbvZo-KeDMEHU1g1vga?dl=0
avatar
bernie67

Mensajes : 33
Fecha de inscripción : 22/03/2016
Edad : 49
Localización : Bogota DC-Colombia

Ver perfil de usuario

Volver arriba Ir abajo

Re: Cambiar propiedades de text y mtext

Mensaje por saulo2016 el Vie Sep 02, 2016 3:56 pm

Buenas a Todos:

Pues yo desde hace tiempo utilizo esta rutina, haber si te sirve de algo....digo es fecha que la sigo utilizando y me ha servido bastante.

aqui les dejo el codigo

DCL:
Código:
//
dcl_settings : default_dcl_settings { audit_level = 3; }ttp
                          : dialog {label = "...";key = "Q75";

                          : boxed_column {label = "Selecciona Herraminta";
                          : button {label = "A ñ a d e     T e x t o";key = "QQ44";}
                          : button {label = "N u m e r o     A r r a y";key = "QQ45";}
                          : button {label = "C a m b i a r     P r o p i e d a d e s";key = "QQ46";}
                          : button {label = "C o r t a r     T e x t o";key = "QQ47";}
                          : button {label = "S u m a r     T e x t o s    N u m e r i c o s";key = "QQ48";}}

                          : spacer_1 {}

                          : row {children_fixed_width = true;fixed_width = true;alignment = centered;
                          : button {label = "         Salir        ";key = "QQ440";is_default = true;}
                          : button {label = "       Ayuda       ";key = "QQ441";}
//                          : button {label = "Acerca";key = "QQ442";}
}

                          : spacer_1 {}

                          : text {label = "...";key = "QQ35";alignment = centered;}}

       textappend : dialog {label = "...";key = "Q75";
                          : edit_box {label = "Inicio : ";key = "OOO79";edit_width = 15;}
                          : edit_box {label = "Fin : ";key = "OOO80";edit_width = 15;}
                          : row {children_fixed_width = true;fixed_width = true;alignment = centered;
                          : button {label = "OK";key = "QQ44";}
                          : button {label = "Cancel";key = "QQ45";is_default = true;}}}

           textarray : dialog {label = "...";key = "Q75";
                          : edit_box {label = "Valor de Inicio : ";key = "OOO79";edit_width = 15;}
                          : edit_box {label = "Incrementa Valor : ";key = "OOO80";edit_width = 15;}
                          : edit_box {label = "No de incremento : ";key = "OOO81";edit_width = 15;}
                          : edit_box {label = "Centro del Texto : ";key = "ebox4";edit_width = 15;}
                          : edit_box {label = "Altura del Texto : ";key = "ebox5";edit_width = 15;}
                          : popup_list {label = "Presision : ";key = "plst1";edit_width = 15;}
                          : boxed_radio_row {label = "Direction";key = "brr1";alignment = centered;
                          : radio_button {label = "Izquierda";key = "L";}
                          : radio_button {label = "Derecha";key = "R";}
                          : radio_button {label = "Arriba";key = "U";}
                          : radio_button {label = "Abajo";key = "D";}}ok_cancel;}

             texttidy : dialog {label = "...";key = "Q75";: boxed_column {label = "Cambiar Propiedades";
                          : row {: button {label = "Color....";key = "QQ44";fixed_width = true;}
                          : image_button {key = "img1";width = 1;aspect_ratio = 1;}
                          : text {label = "";key = "text1";edit_width = 15;}}
                          : row {: button {label = "Layer...";key = "QQ45";fixed_width = true;}
                          : text{label = "";key = "text2";}}
                          : popup_list {label = "Estilo :";key = "list1";edit_width = 14;}
                          : popup_list {label = "Justificacion :";key = "list2";edit_width = 14;}
                          : edit_box {label = "Altura :";key = "OOO79";edit_width = 15;}
                          : edit_box {label = "Oblicuidad :";key = "OOO80";edit_width = 15;}
                          : edit_box {label = "Rotacion :";key = "OOO81";edit_width = 15;}
                          : edit_box {label = "Ancho :";key = "ebox4";edit_width = 15;}
                          : edit_box {label = "Valor :";key = "ebox5";edit_width = 15;}

                          : spacer_1 {}

                          : row {alignment = centered;fixed_width = true;

                          : spacer_1 {}

                          : toggle {label = "Convierte Texto en Mayusculas";key = "QQ54";}

                          : spacer_1 {}}

                          : spacer_1 {}}

                          : spacer_1 {}

                          : row { children_fixed_width = true;fixed_width = true;alignment = centered;
                          : button {label = "OK";key = "QQ47";}

                          : spacer_1 {}

                          : button {label = "Cancela";key = "QQ48";is_default = true;}

                          : spacer_1 {}

//                          : button {label = "About";key = "QQ46";}
}

                          : spacer_1 {}

                          : text {label = "...";key = "QQ35";alignment = centered;}}

            texttrim : dialog {label = "...";key = "Q75";fixed_width = true;: column {fixed_width = true;alignment = centered;
                          : row {: edit_box {key = "OOO79";edit_width = 5;}
                          : text {label = "No. de Caracteres";}}
                          : boxed_radio_row {label = "De donde quieres remover ?";alignment = centered;
                          : radio_button {label = "Inicio";key = "Q64";}
                          : radio_button {label = "Final";key = "Q65";}}}ok_cancel;}

                 layer : dialog {label = "Selecciona Layer";
                          : list_box {key = "list1";width = 50;aspect_ratio = 1;}
                          : edit_box {label = "Set layer nombre: ";key = "OOO79";}
                          : row {alignment = centered;children_fixed_width = true;alignment = centered;fixed_width = true;
                          : button {label = "OK";key = "QQ44";}

                          : spacer_1 {}

                          : button {label = "Cancela";key = "QQ45";is_default = true;}}}

                about : dialog {label = "About";
                          : column {children_alignment = centered;
                         : text {label = "................................................................................";key = "txt1";}
                          : text {label = "";key = "txt2";}
                          : text {label = "";key = "txt3";}
                          : text {label = "";key = "txt4";}
                          : text {label = "";key = "txt5";}}

                          : spacer {}ok_only;: spacer {}

                          : text {label = "";key = "QQ35";alignment = centered;}}

                  help : dialog {label = "........................................";key = "Q75";
                          : list_box {key = "OOO97";width = 50;height = 15;allow_accept = false;}
                          : button {key = "QQ44";fixed_width = true;label = "OK";alignment = centered;is_default = true;}

                          : spacer {}

                          : text {label = "..";key = "QQ35";alignment = centered;}}

            textsum : dialog {label = "Text Sum";
                          : edit_box {label = "Total :";key = "OOO79";width = 25;}ok_only;}
//

LISP:
Código:
;;;2004
(defun ttperr (Q43)(setq *error* QQQQ21)(princ
 (strcat "\nAutolisp Error : " Q43))(cond((/= nil Q9 )(setvar "filedia" Q9 ))
((/= nil cmd)(setvar "cmdecho" cmd)))
(terpri)
)

(defun C:ttp (/ QQQQ79 progver QQ35 wn)(setq QQQQ79 (load_dialog "ttp.dcl"))
(ALERT (setq progver "Caja de Herramientas para Textos v1.0 "))
(setq QQ35 "2004")
(if (not (new_dialog "ttp" QQQQ79))
(exit))

(set_tile "Q75" progver)(set_tile "QQ35" QQ35)
(action_tile "QQ44" "(done_dialog 1)")
(action_tile "QQ45" "(done_dialog 2)")
(action_tile "QQ46" "(done_dialog 3)")
(action_tile "QQ47" "(done_dialog 4)")
(action_tile "QQ48" "(done_dialog 5)")
(action_tile "QQ440" "(done_dialog 10)")
(action_tile "QQ441" "(ttp_help)")
(action_tile "QQ442" "(c:ttp_about)")

(setq wn (start_dialog))(unload_dialog QQQQ79)
(cond((= wn 1)
(c:textappend))((= wn 2)
(c:textarray))((= wn 3)
(c:texttidy))((= wn 4)
(C:texttrim))((= wn 5)
(C:textsum))((= wn 10)

(alert (strcat "\nGracias por utilizar " progver))))
(princ))

(defun c:ttp_about ()
(if (not (new_dialog "about" QQQQ79))
(exit))

(set_tile "txt1" "If you like this software then why not take a look")
(set_tile "txt2" "at my website and find out what other software")
(set_tile "txt3" "I have written for AutoCAD")
(set_tile "txt4" "My Website can be found at address")
(set_tile "txt5" "http://www.65wp.freeserve.co.uk")

(set_tile "QQ35" "2004")
(action_tile "accept" "(done_dialog)")
(start_dialog)(princ))

(defun C:textappend (/ cmd QQQ5 QQQQ79 didmod e1 ed et Q9  np ns nt QQQQ21 ot progver ss1 ss2 QQ35 wn)
(setq progver "Añadir")(ttpstd 1)(ttpsset)

(defun gtv ()
(setq np (get_tile "OOO79"))
(setq ns (get_tile "OOO80"))
(princ))

(if (/= (sslength ss2) 0)
(progn(if (not (new_dialog "textappend" QQQQ79))
(exit))

(set_tile "Q75" progver)(set_tile "QQ35" QQ35)(mode_tile "OOO79" 2)(action_tile "QQ44" "(gtv)(done_dialog 1)")(action_tile "QQ45" "(done_dialog 2)")(setq wn (start_dialog))(if (and (= wn 1)(/= ss2 nil))(progn(setq QQQ5 0)(repeat (sslength ss2)(setq e1 (ssname ss2 QQQ5))(setq ed (entget e1))(setq et (cdr(assoc 0 ed)))(setq ot (cdr(assoc 1 ed)))(if (or (/= np "")(/= np 0))(progn(setq nt (strcat np ot))(setq ot nt)(setq didmod 1)))(if (or (/= ns "")(/= ns 0))(progn(setq nt (strcat ot ns))(setq didmod 1)))(if (= didmod 1)(setq ed (subst (cons 1 nt)(assoc 1 ed) ed)))(entmod ed)(entupd e1)(setq QQQ5 (+ QQQ5 1)))))(if (= wn 2)(princ (strcat "\nExit " progver))))(princ "\nNo valid text objects were selected"))(ttpstd 2)(princ))(defun C:textarray (/ cmd QQQ5 QQQQ79 di Q9  iv ni ndp QQQQ21 os ot ots p1 progver ss1 ss2 sv tc th QQ35 wn)(setq progver "Texto Array")(ttpstd 1)(setq os (getvar "osmode"))(setvar "osmode" 0)(setq ots (getvar "textsize"))(setq ndp (strlen (rtos 1.1234)))(if (= ndp 1)(setq ndp 0))(if (> ndp 1)(setq ndp (- ndp 2)))(defun checkdp (x)(if (and (/= 0 ndp)(/= (wcmatch x "*.*")T))(progn(setq sv (strcat sv "."))(repeat ndp(setq sv (strcat sv "0")))))(princ))(defun gtv ()(setq sv (atof(get_tile "OOO79")))(setq iv (atof(get_tile "OOO80")))(setq ni (atoi(get_tile "OOO81")))(setq tc (atof(get_tile "ebox4")))(setq th (atof(get_tile "ebox5")))(setq di (get_tile "brr1"))(setq ndp (atoi(get_tile "plst1")))(princ))(if (not (new_dialog "textarray" QQQQ79))(exit))(set_tile "Q75" progver)(set_tile "QQ35" QQ35)(set_tile "ebox5" (rtos(getvar "textsize")))(mode_tile "OOO79" 2)(set_tile "D" "1")(start_list "plst1")(mapcar 'add_list (list "0" "0.0" "0.00" "0.000" "0.0000" "0.00000"))(end_list)(set_tile "plst1" (rtos ndp 2 0))(action_tile "accept" "(gtv)(done_dialog 1)")(setq wn (start_dialog))(if (or(= ni 0.0)(= tc 0.0)(= th 0.0))       (progn(princ "\nInvalid dialog box input")(setq wn 2)))(cond((= wn 1)(progn(setq p1 (getpoint "\nPick start point : "))(setq sv (rtos sv 2 ndp))(checkdp sv)(repeat ni(command "text" "j" "MC" p1 th "0" sv)(cond((= di "L")(setq p1 (polar p1 pi tc)))((= di "R")(setq p1 (polar p1 0 tc)))((= di "U")(setq p1 (polar p1 (/ pi 2) tc)))((= di "D")(setq p1 (polar p1 (* pi 1.5) tc))))(setq sv (rtos (+ (atof sv) iv) 2 ndp))(checkdp sv))(setvar "textsize" ots)))((= wn 2)(princ (strcat "\nExit " progver))))(ttpstd 2)(setvar "osmode" os)(princ))(defun c:texttidy (/ cmd cc QQQ5 QQQQ79 e1 ed et Q9  hj jlist lwn nc nh nj nl no nr ns nt nv nw ot p10 p11 progver ss1 ss2 vj QQ35 wn)(setq progver "Propiedades")(ttpstd 1)(if (not ai_table)(load "ai_utils"))(ttpsset)(setq jlist (list "" "Top Left" "Top Centre" "Top Right" "Middle Left" "Middle Centre" "Middle Right" "Bottom Left" "Bottom Centre" "Bottom Right"))(defun QQQQQQQ41 ()(setq ncolor (acad_colordlg 256))(if (/= ncolor nil)(progn(set_tile "text1" (rtos ncolor 2 0))(start_image "img1")(fill_image 0 0 (dimx_tile "img1") (dimy_tile"img1") ncolor)(end_image)))(princ))(defun QQQQQQQ42 ()(if (not (new_dialog "layer" QQQQ79))(exit))(start_list "list1")(mapcar 'add_list (ai_table "layer" 4))(end_list)(action_tile "QQ44" "(done_dialog 1)")(action_tile "QQ45" "(done_dialog 2)")(action_tile "list1" "(setq OOOOO16 $value)(setclayer)")(setq lwn (start_dialog))(if (and (/= OOOOO16 nil)(= lwn 1))(set_tile "text2" (nth (atoi OOOOO16)(ai_table "layer" 4))))(princ))(defun callback3 ()(alert "under development")(princ))(defun gtv ()(setq nc (get_tile "text1"))(setq nl (get_tile "text2"))(setq ns (nth (atoi(get_tile "list1"))(append (list"")(ai_table "style" 4))))(setq nj (nth (atoi(get_tile "list2"))jlist))(setq nh (atof(get_tile "OOO79")))(if (/= (strlen (get_tile "OOO80"))0)(setq no (* pi (/ (atof(get_tile "OOO80")) 180))))(if (/= (strlen (get_tile "OOO81"))0)(setq nr (* pi (/ (atof(get_tile "OOO81")) 180))))(setq nw (atof(get_tile "ebox4")))(setq nv (get_tile "ebox5"))(setq cc (atoi(get_tile "QQ54")))(princ))(defun setclayer ()(set_tile "OOO79" (nth (atoi(get_tile "list1"))(ai_table "layer" 4)))(set_tile "text2" (nth (atoi(get_tile "list1"))(ai_table "layer" 4)))(princ))(if (/= 0 (sslength ss2))(progn(if (not (new_dialog "texttidy" QQQQ79))(exit))(set_tile "Q75" progver)(set_tile "QQ35" QQ35)(start_image "img1")(fill_image 0 0 (dimx_tile "img1") (dimy_tile"img1") -15)(end_image)(start_list "list1")(mapcar 'add_list (append (list "")(ai_table "style" 4)))(end_list)(start_list "list2")(mapcar 'add_list jlist)(end_list)(action_tile "QQ44" "(QQQQQQQ41)")(action_tile "img1" "(QQQQQQQ41)")(action_tile "QQ45" "(QQQQQQQ42)")(action_tile "QQ46" "(c:ttp_about)")(action_tile "QQ47" "(gtv)(done_dialog 4)")(action_tile "QQ48" "(done_dialog 5)")(setq wn (start_dialog))(if (and (= wn 4)(/= ss2 nil))(progn(if (/= nc "")(progn(cond((= nc "256")(setq nc "BYLAYER"))((= nc "0")(setq nc "BYBLOCK")))(command "chprop" ss2 "" "colour" nc "")))(if (/= nl "")(command "chprop" ss2 "" "layer" nl ""))(setq QQQ5 0)(repeat (sslength ss2)(setq e1 (ssname ss2 QQQ5))(setq ed (entget e1))(setq et (cdr(assoc 0 ed)))(if (and (/= nh "")(/= nh 0))(setq ed (subst (cons 40 nh)(assoc 40 ed) ed)))(if (/= ns "")(setq ed (subst (cons 7 ns)(assoc 7 ed) ed)))(if (and (/= nw "")(/= nw 0))(cond((= et "TEXT")(setq ed (subst (cons 41 nw)(assoc 41 ed) ed)))))(if (and(/= no "")(/= no nil))(cond((= et "TEXT")(setq ed (subst (cons 51 no)(assoc 51 ed) ed)))))(if (and(/= nr "")(/= nr nil))(setq ed (subst (cons 50 nr)(assoc 50 ed) ed)))(if (and (/= nj "")(/= nj 0))(progn(if (= et "MTEXT")(cond((= nj "Top Left")(setq ed (subst (cons 71 1)(assoc 71 ed) ed)))((= nj "Top Centre")(setq ed (subst (cons 71 2)(assoc 71 ed) ed)))((= nj "Top Right")(setq ed (subst (cons 71 3)(assoc 71 ed) ed)))((= nj "Middle Left")(setq ed (subst (cons 71 4)(assoc 71 ed) ed)))((= nj "Middle Centre")(setq ed (subst (cons 71 5)(assoc 71 ed) ed)))((= nj "Middle Right")(setq ed (subst (cons 71 6)(assoc 71 ed) ed)))((= nj "Bottom Left")(setq ed (subst (cons 71 7)(assoc 71 ed) ed)))((= nj "Bottom Centre")(setq ed (subst (cons 71 8)(assoc 71 ed) ed)))((= nj "Bottom Right")(setq ed (subst (cons 71 9)(assoc 71 ed) ed)))))(if (= et "TEXT")(progn(setq vj (assoc 72 ed))(setq hj (assoc 73 ed))(setq p10 (assoc 10 ed))(setq p11 (assoc 11 ed))(if (=(cdr(assoc 72 ed))0)(setq ed (subst (cons (car p11)(cdr p10)) p11 ed))(setq ed (subst (cons (car p10)(cdr p11)) p10 ed)))(cond((= nj "Bottom Left")(setq ed (subst '(72 . 0) vj ed))(setq ed (subst '(73 . 0) hj ed)))((= nj "Bottom Centre")(setq ed (subst '(72 . 1) vj ed))(setq ed (subst '(73 . 0) hj ed)))((= nj "Bottom Right")(setq ed (subst '(72 . 2) vj ed))(setq ed (subst '(73 . 0) hj ed)))((= nj "Middle Left")(setq ed (subst '(72 . 0) vj ed))(setq ed (subst '(73 . 2) hj ed)))((= nj "Middle Centre")(setq ed (subst '(72 . 1) vj ed))(setq ed (subst '(73 . 2) hj ed)))((= nj "Middle Right")(setq ed (subst '(72 . 2) vj ed))(setq ed (subst '(73 . 2) hj ed)))((= nj "Top Left")(setq ed (subst '(72 . 0) vj ed))(setq ed (subst '(73 . 3) hj ed)))((= nj "Top Centre")(setq ed (subst '(72 . 1) vj ed))(setq ed (subst '(73 . 3) hj ed)))((= nj "Top Right")(setq ed (subst '(72 . 2) vj ed))(setq ed (subst '(73 . 3) hj ed))))))))(if (and (/= nv "")(/= nv 0))(setq ed (subst (cons 1 nv)(assoc 1 ed) ed)))(if (= cc 1)(progn(setq ot (cdr (assoc 1 ed)))(setq nt (strcase ot))(setq ed (subst (cons 1 nt)(assoc 1 ed) ed))))(entmod ed)(entupd e1)(setq QQQ5 (+ QQQ5 1))))))(princ "\nNo valid text objects were selected"))(if (= wn 5)(princ (strcat "\nExit " progver)))(ttpstd 2)(princ))(defun C:texttrim (/ QQQQ79 nt ot otl progver ss2 start tn QQ35 wn)(setq progver "Cortar")(ttpstd 1)(ttpsset)(defun gtv ()(setq tn (atoi(get_tile "OOO79")))(if (= "1" (get_tile "Q64"))(setq start T)(setq start nil))(princ))(if (/= (sslength ss2) 0)(progn(if (not (new_dialog "texttrim" QQQQ79))(exit))(set_tile "Q75" progver)(set_tile "QQ35" QQ35)(set_tile "Q64" "1")(mode_tile "OOO79" 2)(action_tile "accept" "(gtv)(done_dialog 1)")(setq wn (start_dialog))(cond((= tn 0)(progn(princ "\nNo Characters Removed")(princ (strcat "\nExit " progver))))((= wn 0))((and (= wn 1)(/= tn 0))(progn(setq QQQ5 0)(repeat (sslength ss2)(setq e1 (ssname ss2 QQQ5))(setq ed (entget e1))(setq et (cdr(assoc 0 ed)))(setq ot (cdr(assoc 1 ed)))(setq otl (strlen ot))(if (>= tn otl)(entdel e1)(progn(cond((= start T)(progn(setq nt (substr ot (+ tn 1) (- otl tn)))(setq ed (subst (cons 1 nt)(assoc 1 ed) ed))))((= start nil)(progn(setq nt (substr ot 1 (- otl tn)))(setq ed (subst (cons 1 nt)(assoc 1 ed) ed)))))(entmod ed)(entupd e1)))(setq QQQ5 (+ QQQ5 1)))))))(princ "\nNo valid text objects were selected"))(ttpstd 2)(princ))(defun ttpsset (/ ss1 QQQ5 e1 ed et)(setq ss1 (ssget))(setq ss2 (ssadd))(setq QQQ5 0)(if (/= ss1 nil)(progn(repeat (sslength ss1)(setq e1 (ssname ss1 QQQ5))(setq ed (entget e1))(setq et (cdr(assoc 0 ed)))(if (or (= et "TEXT")(= et "MTEXT"))(ssadd e1 ss2))(setq QQQ5 (+ QQQ5 1)))(princ (strcat "\n" (rtos (sslength ss2) 2 0) " Text objects selected.\n"))))(princ))(defun ctip ()(setq opt(trans (list (cadr (assoc 11 ed))(caddr (assoc 11 ed))(cadddr (assoc 11 ed)))(cdr (assoc -1 ed)) 1))(redraw (cdr (assoc -1 ed)) 3)(prompt "\nNew text location: ")(if (= (setq orthom (getvar "orthomode")) 1)(setvar "orthomode" 0))(setq loc (getpoint opt))(setvar "orthomode" orthom)(redraw (cdr (assoc -1 ed)) 1)(if (null loc)(setq loc opt)(setq loc (trans loc 1 (cdr (assoc -1 ed)))))(setq ed (subst (cons 11 loc) (assoc 11 ed) ed))(princ))(defun c:textsum (/ cmd QQQ5 QQQQ79 e1 ed etQQQQ21 progver QQ35 ss1 ss2 tot val)(setq progver "Text Sum")(ttpstd 1)(ttpsset)(if (/= (sslength ss2) 0)(progn(setq QQQ5 0)(setq tot 0)(repeat (sslength ss2)(setq e1 (ssname ss2 QQQ5))(setq ed (entget e1))(setq et (cdr(assoc 0 ed)))(setq val (atof(cdr(assoc 1 ed))))(if (/= val 0)(setq tot (+ tot val)))(setq QQQ5 (+ QQQ5 1)))(if (not (new_dialog "textsum" QQQQ79))(exit))(set_tile "OOO79" (rtos tot 2 6))(mode_tile "OOO79" 2)(start_dialog)))(ttpstd 2)(princ))(defun ttpstd (x)(cond((= x 1)(progn(setq QQQQ21 *error*)(setq *error* ttperr)(setq cmd (getvar "cmdecho"))(setvar "cmdecho" 0)(setq Q9  (getvar "filedia"))(setvar "filedia" 0)(setq QQQQ79 (load_dialog "ttp.dcl"))(setq QQ35 "2004")))((= x 2)(progn(setq *error* QQQQ21)(setvar "cmdecho" cmd)(setvar "filedia" Q9 )(unload_dialog QQQQ79))))(princ))(defun ttp_help (/ tempOOO97)(setq tempOOO97 (list"Añade: -" "Agregua texto al inicio/fin de todos textos seleccionados"" ""Serie de números: -" "Cree series rectangulares de números de texto""(los números pueden incrementarse como se formó)"" ""Texto Ordenado: -" "Múltiple
  
Cambia los Mtext y Dtext, incluye""estilo/justificacion/ancho/altura""/valor/uppercase/rotacion/obliquo"" ""Cortar texto: -" "Corta el texto no deseado de inicio/fin de cada linea""" "la Suma del Texto: -" "Sume textos seleccionando numeros & le dara el resultado total en" "una caja de diálogo para un corte fácil"))(if (not (new_dialog "help" QQQQ79))(exit))(set_tile "Q75" "Ayuda")(set_tile "QQ35" QQ35)(start_list "OOO97")(mapcar 'add_list tempOOO97)(end_list)(action_tile "QQ44" "(done_dialog)")(start_dialog)(princ))(cond((/= ttploaded 1)(princ "\nText Tool Pack Loaded. type TTP to start ")(setq ttploaded 1)))



Saludos a todos
avatar
saulo2016

Mensajes : 88
Fecha de inscripción : 17/03/2016
Edad : 51
Localización : Monterrey, Nuevo León, Mexico

Ver perfil de usuario

Volver arriba Ir abajo

Re: Cambiar propiedades de text y mtext

Mensaje por bernie67 el Vie Sep 02, 2016 5:14 pm

Saulo muchas gracias por el aporte. La verdad lo mio no es la programación, apenas usuario raso jajaja. Me podrías comentar como salvo el archivo dcl en el bloc de notas, con que nombre y si la extensión es .dcl? Deben de llamarse igual el lisp y el dcl? La verdad no tengo idea.
Gracias
Bernardo Corradine
avatar
bernie67

Mensajes : 33
Fecha de inscripción : 22/03/2016
Edad : 49
Localización : Bogota DC-Colombia

Ver perfil de usuario

Volver arriba Ir abajo

Re: Cambiar propiedades de text y mtext

Mensaje por saulo2016 el Vie Sep 02, 2016 5:26 pm

Si efectivamente, debes copiar el codigo de cada columna que postee en un archivo de NOTEPAD, los puedes llamar con el nombre del comando que ejecuta el programita y puede ser TTP y al primero lo salvas con extension DCL y al segundo con extension LSP.

Entonces el primer codigo seleccionalo copia y paste en un archivo de NOTEPAD, lo salvas como TTP.DCL
el segundo codigo igual lo seleccionas lo copias y paste en otro archivo de NOTEPAD, y lo salvas como TTP.LSP

y dime si tienes dificultad
avatar
saulo2016

Mensajes : 88
Fecha de inscripción : 17/03/2016
Edad : 51
Localización : Monterrey, Nuevo León, Mexico

Ver perfil de usuario

Volver arriba Ir abajo

Re: Cambiar propiedades de text y mtext

Mensaje por bernie67 el Vie Sep 02, 2016 5:41 pm

Muchas gracias por tu pronta respuesta. Ya mismo lo pruebo y te comentare.
Saludos
Bernardo
avatar
bernie67

Mensajes : 33
Fecha de inscripción : 22/03/2016
Edad : 49
Localización : Bogota DC-Colombia

Ver perfil de usuario

Volver arriba Ir abajo

Re: Cambiar propiedades de text y mtext

Mensaje por bernie67 el Vie Sep 02, 2016 5:44 pm

Pues de entrada empezamos mal el Lisp y yo. Ley de Murphy
Command:
Command: TTP
; error: quit / exit abort
Command:
Tengo autocad en ingles versión 2015
Salve el dcl como ttp.dcl y el lisp como manejotexto.lsp

Así que no tengo idea donde la embarre. Cargo el lisp con appload y lo ejecuto con ttp
Saludos
Bernardo
avatar
bernie67

Mensajes : 33
Fecha de inscripción : 22/03/2016
Edad : 49
Localización : Bogota DC-Colombia

Ver perfil de usuario

Volver arriba Ir abajo

Re: Cambiar propiedades de text y mtext

Mensaje por amc.dicsac el Vie Sep 02, 2016 5:52 pm

Hola muchachos gracias por la ayuda sobre textos me fueron de gran utilidad.

Auhmm con respecto a como cargar los dcl, añado algo, despues de lo que te dijo "saulo2016" tienes que agregarle la ruta donde pegues ambos archivos en la siguiente linea [b](defun C:ttp (/ QQQQ79 progver QQ35 wn)(setq QQQQ79 (load_dialog "ttp.dcl"))[/b]
por ejemplo si lo pegas en una carpeta de tu disco d, tendria la siguiente configuracion [b](defun C:ttp (/ QQQQ79 progver QQ35 wn)(setq QQQQ79 (load_dialog "D:/programas lisp/ttp.dcl"))[/b] si no le indicas la ruta no te leera el dcl y te mandara un error...

Saludos
avatar
amc.dicsac

Mensajes : 76
Fecha de inscripción : 17/03/2016
Edad : 26
Localización : Lima - Perú

Ver perfil de usuario http://axprogramlisp.blogspot.pe/

Volver arriba Ir abajo

Re: Cambiar propiedades de text y mtext

Mensaje por saulo2016 el Vie Sep 02, 2016 6:11 pm

ok

vamos a hacerlo de la siguente manera:

primero vas a crear una carpeta donde tu sepas
ahi vas a meter ambos archivos
luego te vas a AutoCAD
vas a teclear el comando OPTIONS
en el cuadro de Dialogo vas a seleccionar la cejita de tu lado izquierdo llamada FILES
ahi selecciona el boton ADD...
luego el boton BROWSE...
busca la carpeta y seleccionala
dale al boton OK
mas abajito a 2 renglones vas a ver una linea llamada TRUSTED LOCATIONS
seleccionalo y vas a hacer el mismo procedimiento que de mencione desde el boton ADD...
cuando termines le das al boton APPLY luego OK

y nos cuentas como te fue....
avatar
saulo2016

Mensajes : 88
Fecha de inscripción : 17/03/2016
Edad : 51
Localización : Monterrey, Nuevo León, Mexico

Ver perfil de usuario

Volver arriba Ir abajo

Re: Cambiar propiedades de text y mtext

Mensaje por bernie67 el Vie Sep 02, 2016 6:42 pm

Bueno parece ser que ahora si quedo funcionando, lo hice con las indicaciones de Saulo y de amc. dicsac y voila!!!
Gracias es una herramienta muy útil.
Muchas gracias por el aporte y la guía paso a paso. Eso de que el que no sabe es como el que no ve, es super cierto!
Garcias compañeros y saludos

Bernardo Corradine
avatar
bernie67

Mensajes : 33
Fecha de inscripción : 22/03/2016
Edad : 49
Localización : Bogota DC-Colombia

Ver perfil de usuario

Volver arriba Ir abajo

Re: Cambiar propiedades de text y mtext

Mensaje por Contenido patrocinado


Contenido patrocinado


Volver arriba Ir abajo

Ver el tema anterior Ver el tema siguiente Volver arriba

- Temas similares

 
Permisos de este foro:
No puedes responder a temas en este foro.